Bug 712949 - Review Request: gnome-online-accounts - Provide online accounts information
Review Request: gnome-online-accounts - Provide online accounts information
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-13 13:44 EDT by Bastien Nocera
Modified: 2011-06-15 07:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 07:27:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2011-06-13 13:44:40 EDT
Spec URL: http://people.fedoraproject.org/~hadess/gnome-online-accounts/gnome-online-accounts.spec
SRPM URL: http://people.fedoraproject.org/~hadess/gnome-online-accounts/gnome-online-accounts-3.1.0-1.fc15.src.rpm
Description: 
The gnome-online-accounts-devel package contains libraries and header
files for developing applications that use gnome-online-accounts.
Comment 1 Peter Robinson 2011-06-13 14:12:22 EDT
I'll review this
Comment 2 Peter Robinson 2011-06-13 14:45:26 EDT
These two files need to be in the main package, not in devel.

%{_libdir}/libgoa-1.0.so.0
%{_libdir}/libgoa-backend-1.0.so.0

A few bits that need to be fixed up.

+ rpmlint output

rpmlint gnome-online-accounts-3.1.0-1.fc16.x86_64.rpm gnome-online-accounts-3.1.0-1.fc16.src.rpm gnome-online-accounts-devel-3.1.0-1.fc16.x86_64.rpm gnome-online-accounts.spec 
gnome-online-accounts.x86_64: E: no-ldconfig-symlink /usr/lib64/libgoa-backend-1.0.so.0.0.0
gnome-online-accounts.x86_64: E: no-ldconfig-symlink /usr/lib64/libgoa-1.0.so.0.0.0
gnome-online-accounts.x86_64: E: zero-length /usr/share/doc/gnome-online-accounts-3.1.0/README
gnome-online-accounts-devel.x86_64: W: dangling-relative-symlink /usr/lib64/libgoa-backend-1.0.so.0 libgoa-backend-1.0.so.0.0.0
gnome-online-accounts-devel.x86_64: W: dangling-relative-symlink /usr/lib64/libgoa-1.0.so.0 libgoa-1.0.so.0.0.0
gnome-online-accounts-devel.x86_64: E: incorrect-fsf-address /usr/include/goa-1.0/goabackend/goaeditablelabel.h
3 packages and 1 specfiles checked; 4 errors, 2 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged
- %doc includes license file
  doesn't include COPYING, README can be dropped as its empty
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  a98926706647d142175a0bcaf0e40fe9  gnome-online-accounts-3.1.0.tar.bz2
+ package successfully builds on at least one architecture
  tested using koji scratch build
  http://koji.fedoraproject.org/koji/taskinfo?taskID=3128535
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
  Permissions on files must be set properly 
- %defattr line
  missing in devel subpackage
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
+ header files should be in -devel
n/a static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin
+ Package should have man files
Comment 4 Bastien Nocera 2011-06-14 05:12:31 EDT
-3 contains packages which actually run properly though. Bug fixes are upstream now.
Comment 5 Peter Robinson 2011-06-14 05:20:22 EDT
this is separate from the review but these look like something to be fixed upstream:

rpmlint gnome-on*
gnome-online-accounts.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-online-accounts-3.1.0/COPYING
gnome-online-accounts-devel.x86_64: E: incorrect-fsf-address /usr/include/goa-1.0/goabackend/goaeditablelabel.h
Comment 6 Peter Robinson 2011-06-14 05:22:22 EDT
Looks fine. APPROVED!
Comment 7 Bastien Nocera 2011-06-14 13:08:29 EDT
New Package SCM Request
=======================
Package Name: gnome-online-accounts
Short Description: Provide online accounts information
Owners: hadess davidz
Branches: 
InitialCC:
Comment 8 Gwyn Ciesla 2011-06-14 13:25:01 EDT
Git done (by process-git-requests).
Comment 9 Bastien Nocera 2011-06-15 07:27:01 EDT
Done in rawhide.

Note You need to log in before you can comment on or make changes to this bug.